import PropTypes from 'prop-types';
import { Component } from 'react';
import { CommonThemeProps } from '../types';
import { DatePickerProps as NextDatePickerProps } from '@alifd/next/types/date-picker';
import { MonthPickerProps as NextMonthPickerProps } from '@alifd/next/types/date-picker';
import { RangePickerProps as NextRangePickerProps } from '@alifd/next/types/date-picker';
import { YearPickerProps as NextYearPickerProps } from '@alifd/next/types/date-picker';
interface DatePickerProps extends NextDatePickerProps, CommonThemeProps {
}
interface RangePickerProps extends NextRangePickerProps, CommonThemeProps {
}
interface MonthPickerProps extends NextMonthPickerProps, CommonThemeProps {
}
interface YearPickerProps extends NextYearPickerProps, CommonThemeProps {
}
declare class BdesignRangePicker extends Component<RangePickerProps> {
    onFocus: (e: any) => any;
    onBlur: (e: any) => any;
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare class BdesignMonthPicker extends Component<MonthPickerProps> {
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare class BdesignYearPicker extends Component<YearPickerProps> {
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare class BdesignWeekPicker extends Component<DatePickerProps> {
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare class DatePicker extends Component<DatePickerProps> {
    static RangePicker: typeof BdesignRangePicker;
    static MonthPicker: typeof BdesignMonthPicker;
    static YearPicker: typeof BdesignYearPicker;
    static WeekPicker: typeof BdesignWeekPicker;
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare const _default: typeof DatePicker;
export default _default;
